Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.display
Class GroupMember

    java.lang.Object
      |
      +--quicktime.app.display.GroupMember

All Implemented Interfaces:
  Layerable

public class GroupMember
extends java.lang.Object
implements Layerable

This class contains information that is attached to a QTDrawable object that is attached to a GroupDrawable object.

Fields inherited from interface quicktime.app.display.Layerable
`kBackMostLayer`

Constructor Summary
`protected` | `GroupMember(GroupDrawable group, QTDrawable d, int l)` Construct a GroupMember object.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Returns true if the GroupMember is the same drawer and has the same layout characteristics.
`QTDrawable` | `getDrawer()` The current drawing object that the settings relate to
`int` | `getLayer()` Layer is a read only property - it is the front-to-back positioning of the drawer in its Group, 0 is frontmost.
`void` | `setLayer(int l)` Set the member's layer within its group.
`java.lang.String` | `toString()` Returns a string representation of this object

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupMember

    protected GroupMember(GroupDrawable group,
                          QTDrawable d,
                          int l)
                   throws QTException

  Construct a GroupMember object.
  Parameters:
    `group` - the GroupDrawable of which d is a member
    `d` - the QTDrawable member
    `is` - the intial size
    `l` - the member's current layer

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Returns true if the GroupMember is the same drawer and has the same layout characteristics.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the other object to test for equality
  Returns:
    true if equal else false

### getLayer

    public int getLayer()

  Layer is a read only property - it is the front-to-back positioning of the drawer in its Group, 0 is frontmost. To reset the layer you call the setLayer method of the group.
  Specified by:
    `getLayer` in interface `Layerable`
  Returns:
    the current layer of the drawer within the group

### setLayer

    public void setLayer(int l)
                  throws QTException

  Set the member's layer within its group.
  Specified by:
    `setLayer` in interface `Layerable`
  Parameters:
    `l` - the new layer

### getDrawer

    public final QTDrawable getDrawer()

  The current drawing object that the settings relate to

### toString

    public java.lang.String toString()

  Returns a string representation of this object
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD